Subject: Re: Rebooting from command line
From: [email-masked] (Earnie Boyd)

12 May 1998 20:28:33 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Ian Collins <[email-masked]>
Cc: gw32 <[email-masked]>

Hi Ian,

Check out the InitiateSystemShutdown function from the Win32 API.

If you call the function with:

InitiateSystemShutdown( NULL, NULL, 0, TRUE, TRUE );

then no dialog boxes will be displayed, processes will be forced
closed and the system will reboot the local machine.  You must have
SeShutdownPrivilege to execute this command on NT.  It will return
TRUE or FALSE.

---Ian Collins <[email-masked]> wrote:
>
> As I have to constantly reboot my NT machine, I was wondering if
anyone
> knew a command line utility that can do this?
> (I can't use a GUI utility as I log on remotely with telnet).
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".